Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.rpc.handler
Interface HandlerChain

All Superinterfaces:
  java.util.Collection, java.util.List

public interface HandlerChain
extends java.util.List

The `javax.xml.rpc.handler.HandlerChain` represents a list of handlers. All elements in the HandlerChain are of the type `javax.xml.rpc.handler.Handler`.

An implementation class for the `HandlerChain` interface abstracts the policy and mechanism for the invocation of the registered handlers.

Version:
  1.0
Author:
  Rahul Sharma
See Also:
  `HandlerChain`

Method Summary
`void` | `destroy()` Indicates the end of lifecycle for a HandlerChain.
`java.lang.String[]` | `getRoles()` Gets SOAP actor roles registered for this HandlerChain at this SOAP node.
`boolean` | `handleFault(MessageContext context)` The `handleFault` method initiates the SOAP fault processing for this handler chain.
`boolean` | `handleRequest(MessageContext context)` The `handleRequest` method initiates the request processing for this handler chain.
`boolean` | `handleResponse(MessageContext context)` The `handleResponse` method initiates the response processing for this handler chain.
`void` | `init(java.util.Map config)` Initializes the configuration for a HandlerChain.
`void` | `setRoles(java.lang.String[] soapActorNames)` Sets SOAP Actor roles for this `HandlerChain`.

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Method Detail

### handleRequest

    public boolean handleRequest(MessageContext context)

  The `handleRequest` method initiates the request processing for this handler chain.

  Parameters:
    `context` - MessageContext parameter provides access to the request SOAP message.
  Returns:
    boolean Returns `true` if all handlers in chain have been processed. Returns `false` if a handler in the chain returned `false` from its handleRequest method.
  Throws:
    `JAXRPCException` - if any processing error happens
  See Also:
    `Handler.handleRequest(javax.xml.rpc.handler.MessageContext)`

### handleResponse

    public boolean handleResponse(MessageContext context)

  The `handleResponse` method initiates the response processing for this handler chain.

  Parameters:
    `context` - MessageContext parameter provides access to the response SOAP message.
  Returns:
    boolean Returns `true` if all handlers in chain have been processed. Returns `false` if a handler in the chain returned `false` from its handleResponse method.
  Throws:
    `JAXRPCException` - if any processing error happens
  See Also:
    `Handler.handleResponse(javax.xml.rpc.handler.MessageContext)`

### handleFault

    public boolean handleFault(MessageContext context)

  The `handleFault` method initiates the SOAP fault processing for this handler chain.

  Parameters:
    `context` - MessageContext parameter provides access to the SOAP message.
  Returns:
    boolean Returns `true` if all handlers in chain have been processed. Returns `false` if a handler in the chain returned `false` from its handleFault method.
  Throws:
    `JAXRPCException` - if any processing error happens
  See Also:
    `Handler.handleFault(javax.xml.rpc.handler.MessageContext)`

### init

    public void init(java.util.Map config)

  Initializes the configuration for a HandlerChain.

  Parameters:
    `config` - Configuration for the initialization of this handler chain
  Throws:
    `JAXRPCException` - If any error during initialization

### destroy

    public void destroy()

  Indicates the end of lifecycle for a HandlerChain.

  Throws:
    `JAXRPCException` - If any error during destroy

### setRoles

    public void setRoles(java.lang.String[] soapActorNames)

  Sets SOAP Actor roles for this `HandlerChain`. This specifies the set of roles in which this HandlerChain is to act for the SOAP message processing at this SOAP node. These roles assumed by a HandlerChain must be invariant during the processing of an individual SOAP message through the HandlerChain.

  A `HandlerChain` always acts in the role of the special SOAP actor `next`. Refer to the SOAP specification for the URI name for this special SOAP actor. There is no need to set this special role using this method.

  Parameters:
    `soapActorNames` - URIs for SOAP actor name
  See Also:
    `NamespaceConstants`

### getRoles

    public java.lang.String[] getRoles()

  Gets SOAP actor roles registered for this HandlerChain at this SOAP node. The returned array includes the special SOAP actor `next`.

  Returns:
    String[] SOAP Actor roles as URIs
  See Also:
    `NamespaceConstants`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.